This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 881805 - (CVE-2012-5596, CVE-2012-6057) CVE-2012-5596 CVE-2012-6057 wireshark: DoS (infinite loop) in the EIGRP dissector (wnpa-sec-2012-34)
CVE-2012-5596 CVE-2012-6057 wireshark: DoS (infinite loop) in the EIGRP disse...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On:
Blocks: 881865
  Show dependency treegraph
 
Reported: 2012-11-29 10:41 EST by Jan Lieskovsky
Modified: 2016-03-04 06:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 17:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 10:41:20 EST
A denial of service flaw was found in the way EIGRP dissector of Wireshark, a network traffic analyzer, performed dissection of certain EIGRP packets. A remote attacker could provide a specially-crafted EIGRP packet / packet capture that, when processed, would lead to excessive CPU consumption or into situation where tshark executable would enter an infinite loop, when trying to process the crafted packet / packet capture file.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7800

References:
[2] http://www.wireshark.org/security/wnpa-sec-2012-34.html
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patch:
[4] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45408

Reproducer:
[5] http://www.wireshark.org/download/automated/captures/fuzz-2012-10-05-27090.pcap
Comment 1 Jan Lieskovsky 2012-11-29 10:51:06 EST
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 2 Vincent Danen 2012-11-29 17:02:32 EST
This was assigned CVE-2012-5596:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 3 Vincent Danen 2012-11-29 17:04:03 EST
Statement CVE-2012-6057:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Jan Lieskovsky 2012-12-05 08:43:23 EST
The CVE-2012-5596 identifier has been rejected by Mitre in favour of CVE-2012-6057 one:

Name: CVE-2012-5596

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6057.  Reason:
This candidate is a reservation duplicate of CVE-2012-6057.  Notes:
All CVE users should reference CVE-2012-6057 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct CVE identifier this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6057.

Note You need to log in before you can comment on or make changes to this bug.